%define upstream_name    Class-Std-Utils
%define upstream_version v0.0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Utility subroutines for building "inside-out" objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(List::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This module provides three utility subroutines that simplify the creation
of "inside-out" classes. See Chapters 15 and 16 of "Perl Best Practices"
(O'Reilly, 2005) for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.0.3-12.mga10
+ Revision: 2198003
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.0.3-11.mga9
+ Revision: 1802517
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.3-10.mga8
+ Revision: 1493557
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.0.3-9.mga7
+ Revision: 1266519
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.0.3-8.mga6
+ Revision: 1024251
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.3-7.mga6
+ Revision: 948948
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.0.3-6.mga5
+ Revision: 788728
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.0.3-5.mga5
+ Revision: 746349
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.3-4.mga5
+ Revision: 683944
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.3-3.mga4
+ Revision: 510033
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.3-2.mga3
+ Revision: 364522
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 01 2011 tv <tv> 0.0.3-1.mga1
+ Revision: 79559
- imported package perl-Class-Std-Utils


* Fri Apr 01 2011 cpan2dist v0.0.3-1mga
- initial mageia release, generated with cpan2dist